Subject: Re: bug#7489: [coreutils] over aggressive threads in sort

From: Paul Eggert <[email-masked]>
Date: Sun, 05 Dec 2010 23:01:27 -0800

On 12/05/2010 09:16 PM, Chen Guo wrote:
> Before saying anything else, I should note that for mutexes, on 4
> threads 20% of the time there's a segfault on a seemingly innocuous
> line in queue_insert ():
>   node->queued = true

It does sound like mutexes are the way to go, and that this bug
needs to be fixed.  I assume that this is the call to queue_insert
from queue_check_insert_parent?  What's the backtrace?  (And
what patch are you using, to get mutexes?)